# String Overrides

Provides a quick and easy way to replace any text on the site.

## Apply Patch

* [Drupal 9 compatibility and clean-up](https://www.drupal.org/project/stringoverrides/issues/3090330)

## Install

Add setting into `repositories` of `composer.json`, then run `composer require drupal/stringoverrides:1.x-dev`

```json
{
  "type": "vcs",
  "url": "https://gitlab.com/agrozyme-package/php/string-overrides.git",
  "package": {
    "name": "drupal/stringoverrides",
    "description": "String Overrides"
  }
},
{
  "type": "composer",
  "url": "https://packages.drupal.org/8",
  "exclude": [
    "drupal/stringoverrides",
  ]
}
```

## Credits

* Written by [Rob Loach](http://www.robloach.net)
* Idea from the [Lullabot team](http://www.lullabot.com/audiocast/podcast-50-drupal-tips-and-tricks)
* [Jeff Eaton](http://drupal.org/user/16496) suggested the name _Swappy_, but String Overrides was more descriptive
* [Nathan Haug](http://drupal.org/user/35821) did the [Drupal 5 backport](http://www.lullabot.com/articles/replace-any-string-drupal-5-6-without-locale-module)
* [John VanDyk](http://drupal.org/user/2375) for [usability enhancements](http://drupal.org/node/234334)
* [Pasqualle](http://drupal.org/user/80733) for the [Drupal 7 port](http://drupal.org/node/609948)
* [MegaChriz](https://www.drupal.org/u/megachriz) for the [Drupal 8 port](https://www.drupal.org/node/2236791)
